# Reference: <https://postmarketos.org/devicepkg>
pkgname="device-samsung-klte"
pkgdesc="Samsung Galaxy S5"
pkgver=0.2
pkgrel=1
url="https://postmarketos.org"
license="MIT"
arch="noarch"
options="!check"
depends="postmarketos-base mkbootimg msm-fb-refresher"
makedepends="devicepkg-dev"
subpackages="
	$pkgname-kernel-downstream:kernel_downstream
	$pkgname-kernel-mainline:kernel_mainline
"
source="deviceinfo"

build() {
	devicepkg_build $startdir $pkgname
}

package() {
	devicepkg_package $startdir $pkgname
}

kernel_downstream() {
	pkgdesc="Display and touchscreen works (see device table for details)"
	depends="linux-samsung-klte"
	mkdir "$subpkgdir"
}

kernel_mainline() {
	pkgdesc="For kernel development only (most features aren't working)"
	depends="linux-postmarketos-qcom"
	mkdir "$subpkgdir"
}

sha512sums="206713fdab42c064b7ffe5376506e1e1141cfcd29c20d2f10a48b10049c58fd8f6e9d8c4118e1aa08626ed2de1a4373d21e0d4c8ef874f7f0c5277611533e3a7  deviceinfo"
